
extdesc="the Digital Music Stand Extension"

source cascade-make/lib/cascade-lib.bash

if [ "x$GEXTMUSICSTAND" = "x" ] ; then
  export GEXTMUSICSTAND=`pwd`
  export GEXTMUSICSTAND_INSTALLED=$GEXTMUSICSTAND/$GSDLOS

  export PATH=$GEXTMUSICSTAND_INSTALLED/bin:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTMUSICSTAND_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXTMUSICSTAND_INSTALLED/lib:$LD_LIBRARY_PATH
  fi
  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
    export DYLD_LIBRARY_PATH=$GEXTMUSICSTAND_INSTALLED/lib
  else
    export DYLD_LIBRARY_PATH=$GEXTMUSICSTAND_INSTALLED/lib:$DYLD_LIBRARY_PATH
  fi

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=music-stand
  else 
    export GSDLEXTS=$GSDLEXTS:music-stand
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi
